# [PyZPL: ZeroMQ Property Language Parser/Serializer][repo_ref]

The ZeroMQ Property Language (ZPL) defines a minimalistic
framing language for specifying property sets, expressed as a
hierarchy of name-value property pairs.

See the original specification here: [rfc.zeromq.org/spec:4/ZPL/][zpl_spec_ref]

Project/Repo:

[![MIT License][license_img]][license_ref]
[![Supported Python Versions][pyversions_img]][pyversions_ref]
[![PyCalVer v201902.0002-beta][version_img]][version_ref]
[![PyPI Version][pypi_img]][pypi_ref]
[![PyPI Downloads][downloads_img]][downloads_ref]

Code Quality/CI:

[![Type Checked with mypy][mypy_img]][mypy_ref]
[![Code Style: sjfmt][style_img]][style_ref]
[![Code Coverage][codecov_img]][codecov_ref]
[![Build Status][build_img]][build_ref]


|                 Name                |        role       |  since  | until |
|-------------------------------------|-------------------|---------|-------|
| Manuel Barkhau (mbarkhau@gmail.com) | author/maintainer | 2016-11 | -     |


<!--
  To update the TOC:
  $ pip install md-toc
  $ md_toc -i gitlab README.md
-->


[](TOC)

[](TOC)


#


[repo_ref]: https://gitlab.com/mbarkhau/pyzpl

[build_img]: https://gitlab.com/mbarkhau/pyzpl/badges/master/pipeline.svg
[build_ref]: https://gitlab.com/mbarkhau/pyzpl/pipelines

[codecov_img]: https://gitlab.com/mbarkhau/pyzpl/badges/master/coverage.svg
[codecov_ref]: https://mbarkhau.gitlab.io/pyzpl/cov

[license_img]: https://img.shields.io/badge/License-MIT-blue.svg
[license_ref]: https://gitlab.com/mbarkhau/pyzpl/blob/master/LICENSE

[mypy_img]: https://img.shields.io/badge/mypy-checked-green.svg
[mypy_ref]: https://mbarkhau.gitlab.io/pyzpl/mypycov

[style_img]: https://img.shields.io/badge/code%20style-%20sjfmt-f71.svg
[style_ref]: https://gitlab.com/mbarkhau/straitjacket/

[pypi_img]: https://img.shields.io/badge/PyPI-wheels-green.svg
[pypi_ref]: https://pypi.org/project/pyzpl/#files

[downloads_img]: https://pepy.tech/badge/pyzpl/month
[downloads_ref]: https://pepy.tech/project/pyzpl

[version_img]: https://img.shields.io/badge/PyCalVer-v201902.0002-blue.svg
[version_ref]: https://pypi.org/project/pycalver/

[pyversions_img]: https://img.shields.io/pypi/pyversions/pyzpl.svg
[pyversions_ref]: https://pypi.python.org/pypi/pyzpl

[zpl_spec_ref]: https://rfc.zeromq.org/spec:4/ZPL/
